       Program NRcall


       Real eps, sigma


       eps = 2000.0e-6	

       call NR (eps, sigma)
	
	open (12, file = 'data.xls')

       write (*,*) 'These are the results from the subroutine'
       write (12,*) eps, char(9), sigma	

       Stop	
       End





       Subroutine NR (eps, sigma)
c	
c      Newton-Raphson Iteration
c      M. E. Barkey
c      18 August 2009
c      Newton-Rapheson Iteration
c	
c23456789012345678901234567890123456789012345678901234567890123456789012



      Real g, newg, f, fprime, err, thresh
      Real sigma, eps, E, k, n	
      


      E = 210.0e9	
      n = 0.2	
      k = 1780.0e6	


      thresh = 0.5e3

      guess = 	100.0e6



      
      sigma = guess
      newg = 0.0	
	
      

      Do 100, i = 1, 10

      err = ABS(sigma - newg)
      sigma = newg

      If (err.gt.thresh) then

          f = (sigma/E) + (sigma/k)**(1.0/n) - eps

          fprime = (1.0/E) + (1.0/n)*(1.0/k)*(sigma/k)**(1.0/n -1.0)

          newg = sigma - f/fprime

         	
	  
          if (i.eq.20) then 
             write(*,*) 'warning--did not converge'  
          end if


       else

          write (*,*) 'converged'
          write (*,*) sigma	

           
       end if

 100   continue


       Return
       End




